import { canIUseGetUserProfile } from '../common/version';

module.exports = {
  data() {
    return {
      canIUseGetUserProfile: canIUseGetUserProfile()
    };
  },

  props: {
    id: String,
    lang: String,
    businessId: Number,
    sessionFrom: String,
    sendMessageTitle: String,
    sendMessagePath: String,
    sendMessageImg: String,
    showMessageCard: Boolean,
    appParameter: String,
    ariaLabel: String,
    openType: String,
    getUserProfileDesc: String
  },
  externalClasses: ['hover-class'],
  methods: {
    onGetUserInfo(event) {
      this.$emit('getuserinfo', {
        detail: event.detail
      });
    },

    onContact(event) {
      this.$emit('contact', {
        detail: event.detail
      });
    },

    onGetPhoneNumber(event) {
      this.$emit('getphonenumber', {
        detail: event.detail
      });
    },

    onError(event) {
      this.$emit('error', {
        detail: event.detail
      });
    },

    onLaunchApp(event) {
      this.$emit('launchapp', {
        detail: event.detail
      });
    },

    onOpenSetting(event) {
      this.$emit('opensetting', {
        detail: event.detail
      });
    }

  }
};